Name:		qubes-core-admin-client
Version:    4.1.6
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Sun May 24 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a5ffc88
- version 4.1.6

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 25b23db
- rpm: ensure matching qubesd socket protocol version

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aea4151
- events: implicitly enable caching when creating EventsDispatcher

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c081ed8
- Enable caching in qvm-ls and qvm-prefs

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79c7392
- Cache power state when caching is enabled

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bfe1a3d
- Adjust for changed qubesd socket protocol

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d12896
- Implement a wrapper for dom0 -> dom0 qrexec calls

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02cfab8
- Try to use new property.GetAll method to pre-fill the cache

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 218d43a
- Add simple properties caching

* Mon May 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5315bbf
- Do not check for object existence when got it with another Admin API call

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83b1fc6
- tools/qvm-volume import: do not retrieve old size anymore

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65dcee4
- Make pylint happy

* Fri Apr 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ae3c94
- version 4.1.5

* Tue Apr 07 2020 Rusty Bird <rustybird@net-c.com> - f9ee7f5
- collections.Callable -> collections.abc.Callable

* Tue Apr 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e87559b
- qvm-start-daemon: adjust pacat pid file path

* Mon Mar 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f08d41e
- Added tests for cloning VMs with persistent devices

* Mon Mar 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8e7db06
- Remove Python 2 workarounds

* Mon Mar 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c0a8c65
- Cloning a vm now clones persistent PCI device assignments

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e39f280
- qvm-start-daemon: check if layout is parsed

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2e72f75
- qvm-start-daemon: allow multiple options in keyboard layout

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 023d94a
- qvm-start-daemon: improve parsing args for setting keyboard layout

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c13097d
- qvm-start-daemon: set keyboard-layout only for the first set layout

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c58e5b8
- gui: set keyboard layout when starting daemon

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 526c862
- daemon: start it for dom0 unconditionnaly

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4995797
- qvm-start-daemon: ensure separate task between GUI/AUDIO

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 05e479c
- qvm-start-daemon: allow starting only if service enabled

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f7fa577
- Fix and improvements from Marek's comments

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0e049e6
- Change qvm-start-gui to qvm-start-daemon for handling audio too

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6d9e5bb
- Support for AudioVM

* Tue Mar 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a1ddbb0
- Add qvm-firewall reset action to the man page

* Sun Mar 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 916db9d
- tests/firewall: update future time to be really in the future

* Mon Feb 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 97ab1d7
- Added an option to qvm-firewall to reset all rules

* Fri Feb 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d0bc4a0
- rpm, deb: declare conflict with qubes-core-agent shipping qvm-console

* Fri Feb 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 162f41c
- Remove no longer relevant TODO comment

* Fri Jan 31 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - bcb9159
- qvm-kill: make error message more clear

* Fri Jan 31 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - b8d1884
- qvm-kill: ignore already off domains

* Wed Jan 29 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 5c94c72
- Added explicit 'force' option to qvm-shutdown

* Wed Jan 29 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2be77f5
- Added force shutdown option to vm.shutdown

* Wed Jan 29 2020 marmot1791 <marmot1791@protonmail.com> - b3886f0
- Correct default VMs behavior to match current code

* Mon Jan 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cf2a70e
- version 4.1.4

* Mon Jan 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eeb5101
- debian: really drop python2 build

* Mon Jan 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 831ddc1
- version 4.1.3

* Mon Jan 27 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 2597ed0
- Use qubes.VMExec in run_with_args()

* Mon Jan 27 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 8416c03
- Document the new behaviour of qvm-run with arguments

* Fri Jan 24 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - ff9b81c
- qvm-run: use qubes.VMExec, if available

* Thu Jan 23 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 9cf05e5
- Import data using ImportWithSize call, not manual resizing

* Tue Jan 21 2020 Amadeusz Piotr Żołnowski <aidecoe@aidecoe.name> - 8fb744a
- Move qvm-console from qubes-core-agent-linux

* Tue Jan 21 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - bf78aeb
- qvm-remove: improve error message

* Thu Jan 16 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 405464a
- qvm-shutdown: report errors, don't crash on DispVMs

* Thu Jan 16 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 88f177f
- Add missing docstrings

